Skip to content

getPurchaseReturnOrderLine

READ

Get purchase return order line.

POST /api/v1/purchasing/getPurchaseReturnOrderLine
curl -X POST '<your-host>/api/v1/purchasing/getPurchaseReturnOrderLine' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "lineId": "string"
  }'
Response
{
  "closedComplete": true,
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "customFields": "…",
  "id": "string",
  "itemId": "string",
  "lineNumber": 0,
  "purchaseInvoiceLineId": "string",
  "purchaseOrderLineId": "string",
  "purchaseReturnOrderId": "string",
  "quantity": 0,
  "quantityShipped": 0,
  "receiptLineId": "string",
  "restockFeePercent": 0,
  "returnReasonId": "string",
  "unitOfMeasureCode": "string",
  "unitPrice": 0,
  "updatedAt": "string",
  "updatedBy": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "lineId": {
      "type": "string"
    }
  },
  "required": [
    "lineId"
  ]
}